Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class ObjectClassDefinitionReference

    java.lang.Object
      |
      +--org.openspml.message.ObjectClassDefinitionReference

public class ObjectClassDefinitionReference
extends java.lang.Object

A class representing an `attributeDefinitionReference` element.

Constructor Summary
`ObjectClassDefinitionReference()`

Method Summary
`ObjectClassDefinition` | `getDefinition()`
`java.lang.String` | `getName()`
`ProviderIdentifier` | `getProviderIdentifier()`
`java.lang.String` | `getProviderIdentifierString()`
`SchemaIdentifier` | `getSchemaIdentifier()`
`java.lang.String` | `getSchemaIdentifierString()`
`void` | `setName(java.lang.String s)`
`void` | `setProviderIdentifier(ProviderIdentifier id)`
`void` | `setProviderIdentifier(java.lang.String id)`
`void` | `setSchemaIdentifier(SchemaIdentifier id)`
`void` | `setSchemaIdentifier(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectClassDefinitionReference

    public ObjectClassDefinitionReference()

Method Detail

### setName

    public void setName(java.lang.String s)

### setProviderIdentifier

    public void setProviderIdentifier(ProviderIdentifier id)

### setProviderIdentifier

    public void setProviderIdentifier(java.lang.String id)

### setSchemaIdentifier

    public void setSchemaIdentifier(SchemaIdentifier id)

### setSchemaIdentifier

    public void setSchemaIdentifier(java.lang.String s)

### getName

    public java.lang.String getName()

### getProviderIdentifier

    public ProviderIdentifier getProviderIdentifier()

### getProviderIdentifierString

    public java.lang.String getProviderIdentifierString()

### getSchemaIdentifier

    public SchemaIdentifier getSchemaIdentifier()

### getSchemaIdentifierString

    public java.lang.String getSchemaIdentifierString()

### getDefinition

    public ObjectClassDefinition getDefinition()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD